Subject: FVWM: Changing exported variables in an active fvwm2 session?

From: Glen Lee Edwards <[email-masked]>
Date: Fri, 14 Dec 2001 10:19:29 -0600

I use the following perl script, which reads from a directory and creates fvwm
buttons for each file name:

#!/usr/bin/perl
# Fvwm files

$file = qq(/home/glenlee/.fvwm);
$name = qq(FVWM2);

@list = `ls -a $file`;

for (@list) {
chomp();
   next if (/(\~$|\#$|^\.{1,2}$)/);
   (/[^\/]*$/);
   print qq(*$name(Frame 4, Title $_, Action \`Exec \$EDITOR $file/$_\`)\n);
}

exit;

The "$EDITOR" variable is a system variable defined in ~/.bash_profile that I'd
like to be able to change on the fly so I can from an xterm define which text
editor is used to edit the files in the respective directory.  Currently the
only way I've been able to accomplish this is to quit the fvwm2 session and
redefine $EDITOR from console.  Is there a way I can do this while still in the
fvwm2 session?  Doing a restart would be acceptable, but it would be nice to be
able to just type in an xterm "$ "EDITOR=emacs" and have the change recognized
by fvwm.

Thanks,

Glen

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Fri, 14 Dec 2001 11:35:28 -0500

> buttons for each file name:
...
> able to just type in an xterm "$ "EDITOR=emacs" and have the change recognize

Start the FvwmCommand server.

Do:

FvwmCommand "setenv EDITOR emacs"

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].